Freeciv-3.3: nation_info Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
nation_info Struct Reference

## Data Fields

unsigned char | nation_style
unsigned char | selected_leader
Nation_type_id | nation
bool | leader_sex
struct nation_set * | set
struct widget * | change_sex
struct widget * | name_edit
struct widget * | name_next
struct widget * | name_prev
struct widget * | pset_name
struct widget * | pset_next
struct widget * | pset_prev

## Detailed Description

Definition at line 2561 of file dialogs.c.

## Field Documentation

## ◆ change_sex

struct widget * nation_info::change_sex

Definition at line 2567 of file dialogs.c.

Referenced by change_sex_callback(), next_name_callback(), popup_races_dialog(), prev_name_callback(), and select_random_leader().

## ◆ leader_sex

bool nation_info::leader_sex

Definition at line 2565 of file dialogs.c.

Referenced by change_sex_callback(), next_name_callback(), prev_name_callback(), races_dialog_ok_callback(), and select_random_leader().

## ◆ name_edit

struct widget * nation_info::name_edit

Definition at line 2568 of file dialogs.c.

Referenced by change_nation_label(), next_name_callback(), popup_races_dialog(), prev_name_callback(), races_dialog_ok_callback(), races_toggles_set_sensitive(), and select_random_leader().

## ◆ name_next

struct widget * nation_info::name_next

Definition at line 2569 of file dialogs.c.

Referenced by next_name_callback(), popup_races_dialog(), prev_name_callback(), and select_random_leader().

## ◆ name_prev

struct widget * nation_info::name_prev

Definition at line 2570 of file dialogs.c.

Referenced by next_name_callback(), popup_races_dialog(), prev_name_callback(), and select_random_leader().

## ◆ nation

Nation_type_id nation_info::nation

Definition at line 2564 of file dialogs.c.

Referenced by change_nation_label(), nation_button_callback(), next_name_callback(), popup_races_dialog(), prev_name_callback(), races_dialog_ok_callback(), races_toggles_set_sensitive(), and select_random_leader().

## ◆ nation_style

unsigned char nation_info::nation_style

Definition at line 2562 of file dialogs.c.

Referenced by nation_button_callback(), popup_races_dialog(), races_dialog_ok_callback(), races_toggles_set_sensitive(), and style_callback().

## ◆ pset_name

struct widget * nation_info::pset_name

Definition at line 2571 of file dialogs.c.

Referenced by popup_races_dialog().

## ◆ pset_next

struct widget * nation_info::pset_next

Definition at line 2572 of file dialogs.c.

Referenced by popup_races_dialog().

## ◆ pset_prev

struct widget * nation_info::pset_prev

Definition at line 2573 of file dialogs.c.

Referenced by popup_races_dialog().

## ◆ selected_leader

unsigned char nation_info::selected_leader

Definition at line 2563 of file dialogs.c.

Referenced by next_name_callback(), prev_name_callback(), and select_random_leader().

## ◆ set

struct nation_set * nation_info::set

Definition at line 2566 of file dialogs.c.

Referenced by next_set_callback(), popup_races_dialog(), and prev_set_callback().